Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class ErrorLogger.ErrorLoggerRunnable

    java.lang.Object
      org.ka2ddo.yaac.core.ErrorLogger.ErrorLoggerRunnable

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ErrorLogger

    public static final class ErrorLogger.ErrorLoggerRunnable

extends java.lang.Object
implements java.lang.Runnable

Helper class for transferring error displays to the GUI dispatch thread.

Constructor Summary
`ErrorLogger.ErrorLoggerRunnable(java.lang.String errMsg)` Create a helper for the specified error message.
`ErrorLogger.ErrorLoggerRunnable(java.lang.Throwable t, java.lang.String errMsg)` Create a helper for the specified error message.

Method Summary
`void` | `run()` Execute on the GUI dispatch thread to display the error message.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorLogger.ErrorLoggerRunnable

    public ErrorLogger.ErrorLoggerRunnable(java.lang.String errMsg)

  Create a helper for the specified error message.

  Parameters:
    `errMsg` - already localized String of error message

### ErrorLogger.ErrorLoggerRunnable

    public ErrorLogger.ErrorLoggerRunnable(java.lang.Throwable t,
                                           java.lang.String errMsg)

  Create a helper for the specified error message.

  Parameters:
    `t` - Throwable to log
    `errMsg` - already localized String of error message

Method Detail

### run

    public void run()

  Execute on the GUI dispatch thread to display the error message.

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD